JdbcMessages (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.jdbc.i18n.JdbcMessages class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.jdbc.i18n
Class JdbcMessages

    java.lang.Object
      org.mule.config.i18n.MessageFactory
          org.mule.transport.jdbc.i18n.JdbcMessages

    public class JdbcMessages

extends MessageFactory

Field Summary

Fields inherited from class org.mule.config.i18n.MessageFactory
`logger`

Constructor Summary
`JdbcMessages()`

Method Summary
`static Message` | `forceProperty(String property1, String property2)`
`static Message` | `forcePropertyNoTransaction(String property, String transction)`
`static Message` | `jndiResourceNotFound(String name)`
`static Message` | `moreThanOneMessageInTransaction(String property1, String property2)`
`static Message` | `transactionSetAutoCommitFailed()`

Methods inherited from class org.mule.config.i18n.MessageFactory
`createMessage, createMessage, createMessage, createMessage, createMessage, createStaticMessage, getBundlePath, getClassLoader, getString, getString, getString, getString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JdbcMessages

    public JdbcMessages()

Method Detail

### transactionSetAutoCommitFailed

    public static Message transactionSetAutoCommitFailed()

### jndiResourceNotFound

    public static Message jndiResourceNotFound(String name)

### moreThanOneMessageInTransaction

    public static Message moreThanOneMessageInTransaction(String property1,
                                                          String property2)

### forcePropertyNoTransaction

    public static Message forcePropertyNoTransaction(String property,
                                                     String transction)

### forceProperty

    public static Message forceProperty(String property1,
                                        String property2)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.